<?php

//header("Content-Type: text/html;charset=utf-8");

include "control/conexion.php";

include "control/iniciarsesion.php";



//Iniciar Sesión

@session_start();



//Validar si se está ingresando con sesión correctamente

if (!$_SESSION){

echo '<script language = javascript>

alert("usuario no autenticado")

self.location = "../index.html"

</script>';

}

//$id_autoformacion = @$_GET['id_autoformacion'];

$id_usuario = $_SESSION['id_usuario'];

//$id_autoformacion = $_POST'id_autoformacion']; 

//$id_autoformacion = '7';



$rs = mysql_query("SELECT MAX(id_dev) AS id FROM dev");

if ($r = mysql_fetch_row($rs)) {

$id = trim($r[0]);

    }

 $id;



  

  $consulta= "SELECT * FROM dev WHERE id_dev='".$id."'"; 

$resultado= mysql_query($consulta,$conex) or die (mysql_error());

$filas=mysql_fetch_array($resultado);

  $ultima=$filas["ultima"];

  $primera=$filas["primera"];

    $estado=$filas["estado"];

    $s=$filas["sorteo"];

date_default_timezone_set("America/Bogota" ) ; 

  $fecha_actual = date('Y-m-d H:i:s');

  

  date_default_timezone_set("America/Bogota" ) ; 

  $fecha = date('Y-m-d H:i:s');

 

 $estado1="desactivado";

 $estado2="activo";

    



        if(($fecha_actual<=$primera)or($fecha>=$ultima)){

        //($fecha>=$ultima)

        //echo $filas["ultima"];

    $sql=mysql_query("UPDATE dev SET  estado='$estado1'  WHERE id_dev='$id'",$conex);

    //echo $estado;  

    

} else{

       //if($ultima < $fecha_actual){

         $sql=mysql_query("UPDATE dev SET  estado='$estado2'  WHERE id_dev='$id'",$conex);

      

   // }



}



  



/*

while($row = mysql_fetch_array($resultano)) {

$ano = $row["ano"];

$estado_ano = $row["estado_ano"];  

$id_calendario = $row["id_calendario"];  

 }



$consulta= "SELECT * FROM guia_autoformacion where id_autoformacion ='$id_autoformacion'"; 

$resultado= mysql_query($consulta,$conex) or die (mysql_error());

$fila=mysql_fetch_array($resultado);

$id_autoformacion = $fila["id_autoformacion"];

$codigo_guia = $fila["codigo_guia"];

$capacidad = $fila["capacidad"];

$unidad_formativa = $fila['unidad_formativa'];

$unidad_tematica = $fila['unidad_tematica'];

$fecha_inicial= $fila["fecha_inicial"]; 

$fecha_final= $fila["fecha_final"];      

$responsable= $fila["responsable"];

$justificacion= $fila["justificacion"];

$objetivo= $fila["objetivo"];

$contenido= $fila["contenido"];

$metodologia= $fila["metodologia"];

$evaluacion= $fila["evaluacion"];

$calendario= $fila["calendario"];

$estado= $fila["estado"];

 */

 

/*

$consulta2= "SELECT * FROM recepcion WHERE idusuario='".$idusuario."'"; 

//$consulta= "SELECT * FROM usuario, profesor WHERE usuario.usuario='".$usuario."' or profesor.usuariop='".$usuario."'"; 

$resultado2= mysql_query($consulta2, $conex) or die (mysql_error());

$fila2=mysql_fetch_array($resultado2);

$idregistro = $fila2["idregistro"];



$consulta3= "SELECT * FROM respuesta "; 

$resultado3= mysql_query($consulta3, $conex) or die (mysql_error());

$fila3=mysql_num_rows($resultado3);

//$datonum=$fila3;



 */



?>

                                      